org.eclipse.emf.facet.query.java.core

## Interface IParameterValueList2

All Superinterfaces:
  java.util.Collection<ParameterValue>, java.lang.Iterable<ParameterValue>, java.util.List<ParameterValue>

    public interface IParameterValueList2
    extends java.util.List<ParameterValue>

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ParameterValue` `getParameterValue(EParameter parameter)` Return the parameter corresponding to the given parameter declaration.
`ParameterValue` `getParameterValueByName(java.lang.String name)` Return the parameter with the specified name.
`java.lang.Object` `getValue(EParameter parameter)` Return the value of a parameter
`java.lang.Object` `getValueByParameterName(java.lang.String name)` Return the value of the parameter with the specified name.

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### getValueByParameterName

    java.lang.Object getValueByParameterName(java.lang.String name)

Return the value of the parameter with the specified name.

Parameters:
  `name` - the name of the parameter
Returns:
  the value, or `null` if there is no parameter with that name.

#### getParameterValueByName

    ParameterValue getParameterValueByName(java.lang.String name)

Return the parameter with the specified name.

Parameters:
  `name` - the name of the parameter
Returns:
  the parameter, or `null` if there is no parameter with that name.

#### getParameterValue

    ParameterValue getParameterValue(EParameter parameter)

Return the parameter corresponding to the given parameter declaration.

Parameters:
  `parameter` - the parameter declaration
Returns:
  the parameter, or `null` if the given parameter declaration is unknown.

#### getValue

    java.lang.Object getValue(EParameter parameter)

Return the value of a parameter

Parameters:
  `parameter` - the parameter
Returns:
  the value of the parameter